com.smartgwt.client.widgets.drawing

## Class DrawShapeCommand

- java.lang.Object
- - com.smartgwt.client.core.JsObject
  - - com.smartgwt.client.core.DataClass
    - - com.smartgwt.client.widgets.drawing.DrawShapeCommand

- All Implemented Interfaces:
    com.google.gwt.event.shared.HasHandlers
  Direct Known Subclasses:
    CircleToCommand, CloseCommand, LineToCommand, MoveToCommand

      public class DrawShapeCommand
      extends DataClass

  Holds the information of a drawing command.

- - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.core.DataClass

      `factoryCreated, factoryProperties`

    - ### Fields inherited from class com.smartgwt.client.core.JsObject

      `jsObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DrawShapeCommand()`
    `DrawShapeCommand(com.google.gwt.core.client.JavaScriptObject jsObj)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DrawShapeCommand` | `getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `DrawShapeCommandType` | `getType()` The command type.
    `protected void` | `setArgs(com.google.gwt.core.client.JavaScriptObject args)`
    `DrawShapeCommand` | `setType(DrawShapeCommandType type)` The command type.

    - ### Methods inherited from class com.smartgwt.client.core.DataClass

      `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

    - ### Methods inherited from class com.smartgwt.client.core.JsObject

      `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DrawShapeCommand

          public DrawShapeCommand()

    - #### DrawShapeCommand

          public DrawShapeCommand(com.google.gwt.core.client.JavaScriptObject jsObj)

  - ### Method Detail

    - #### getOrCreateRef

          public static DrawShapeCommand getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### setType

          public DrawShapeCommand setType(DrawShapeCommandType type)

      The command type.
      Parameters:
        `type` - New type value. Default value is null
      Returns:
        `DrawShapeCommand` instance, for chaining setter calls

    - #### getType

          public DrawShapeCommandType getType()

      The command type.
      Returns:
        Current type value. Default value is null

    - #### setArgs

          protected void setArgs(com.google.gwt.core.client.JavaScriptObject args)